|  | Home | Documentation | wsdd__ProbeType Struct Reference updated Tue Aug 27 2019 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ProbeType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ProbeType:
[legend]

## Public Attributes
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types. More...
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ProbeType is a complexType.

struct wsdd__ProbeType operations:

- wsdd__ProbeType* soap_new_wsdd__ProbeType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ProbeType(struct soap*, wsdd__ProbeType*) default initialize members
- int soap_read_wsdd__ProbeType(struct soap*, wsdd__ProbeType*) deserialize from a source
- int soap_write_wsdd__ProbeType(struct soap*, wsdd__ProbeType*) serialize to a sink
- wsdd__ProbeType* soap_dup_wsdd__ProbeType(struct soap*, wsdd__ProbeType* dst, wsdd__ProbeType <em>src) returns deep copy of wsdd__ProbeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ProbeType(wsdd__ProbeType) deep deletes wsdd__ProbeType data members, use only on dst after soap_dup_wsdd__ProbeType(NULL, wsdd__ProbeType *dst, wsdd__ProbeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct wsdd__ScopesType* wsdd__ProbeType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__ProbeType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h